import type { VNode, PropType } from 'vue-demi';
import type { AsyncFactory, SuspenseOptions } from '../types';
export declare const del: <I extends any[], R, E>(asyncFactory: AsyncFactory<I, R>, error?: E | undefined) => void;
export declare const add: <I extends any[], R>(asyncFactory: AsyncFactory<I, R>) => void;
export declare const has: <I extends any[], R>(asyncFactory: AsyncFactory<I, R>) => boolean | void;
export declare const suspenseOptions: Required<SuspenseOptions>;
export declare function setSuspenseOptions(options: SuspenseOptions): void;
/**
 * Suspense component,
 * Vue2 compatible
 */
export declare const Suspense: import("vue-demi").DefineComponent<{
    timeout: {
        type: PropType<number>;
        default: number;
    };
}, {
    resolved: import("vue-demi").Ref<boolean>;
    rejected: import("vue-demi").Ref<boolean>;
    displayFallback: import("vue-demi").Ref<boolean>;
    createWrapper: typeof createWrapper;
    createHiddenWrapper: typeof createHiddenWrapper;
}, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, ("pending" | "resolve" | "fallback")[], "resolve" | "fallback" | "pending", import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    timeout: {
        type: PropType<number>;
        default: number;
    };
}>> & {
    onPending?: ((...args: any[]) => any) | undefined;
    onResolve?: ((...args: any[]) => any) | undefined;
    onFallback?: ((...args: any[]) => any) | undefined;
}, {
    timeout: number;
}, {}>;
declare function createWrapper(children: any): VNode;
declare function createHiddenWrapper(children: any, display: boolean): VNode;
export {};
